> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/36.-mutation-mehreren-ausgewahlten-notes-mehrere-comments-hinzufugen.md).

# 36. Mutation: mehreren ausgewählten „Notes“ mehrere „Comments“ hinzufügen

Diese Mutation ermöglicht es Ihnen, mehrere Kommentare zur ausgewählten Notiz hinzuzufügen.

{% hint style="success" %}
Die maximale Anzahl von Kommentaren, die gespeichert werden können, beträgt 25.
{% endhint %}

* Ein Kommentar kann über seine eindeutige Kennung mit dem Feld verknüpft werden `fieldUuid` und mit der Notiz über `noteUuid`.
* Der Inhalt des Kommentars kann mithilfe des `Text` Attributs angegeben werden. Wenn der Inhalt mehrzeilig sein muss, sollte das `Text` Attribut eine Zeichenkette mit Zeilenumbruchzeichen enthalten `\\n` um Zeilen zu trennen. Zum Beispiel: `"Erste Zeile ist hier\\nZweite Zeile ist hier.\\nDritte Zeile ist hier."`.
* Es ist möglich, ein definiertes Datum und Uhrzeit, das mit dem Kommentar verbunden ist, mithilfe des `Erstellungsdatum` Attributs im ISO8601-Format festzulegen.

Die Beispielanfrage finden Sie unten:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Der 4. Kommentar aus mehreren.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Der 5. Kommentar aus mehreren.\\nDie zweite Zeile des Kommentars.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    Erstellungsdatum
    updatedDate
    Text
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/36.-mutation-mehreren-ausgewahlten-notes-mehrere-comments-hinzufugen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
